Activity log for bug #1819796

Date Who What changed Old value New value Message
2019-03-12 23:59:36 Jason Stephenson bug added bug
2019-03-13 00:05:56 Jason Stephenson description Evergreen version: 3.0 to master (20190312) OpenSRF version: 3.0+ (irrelevant) Pg version: 9.5+ (irrelevant) O/S version: Ubuntu 16.04 and 18.04 (irrelevant) While looking into an issue that I believe is related to timeouts and our fine generator, I found that the open-ils.storage stderr log has thousands of messages just like this: Caught error from 'run' method: Can't call method "search_where" on an undefined value at /usr/local/share/perl/5.26.1/OpenILS/Application/Storage/Publisher/action.pm line 1014. Looking into the code, I see that it was modified to use a cstore editor from using storage searches back in 2014. The code to use the cstore editor when searchin for booking reservations seem to suffer from a case of the bad copy/paste-o. Branch coming shortly. Evergreen version: 3.0 to master (20190312) OpenSRF version: 3.0+ (irrelevant) Pg version: 9.5+ (irrelevant) O/S version: Ubuntu 16.04 and 18.04 (irrelevant) While looking into an issue that I believe is related to timeouts and our fine generator, I found that the open-ils.storage stderr log has thousands of messages just like this: Caught error from 'run' method: Can't call method "search_where" on an undefined value at /usr/local/share/perl/5.26.1/OpenILS/Application/Storage/Publisher/action.pm line 1014. Looking into the code, I see that it was modified to use a cstore editor from using storage searches back in 2014. The code to use the cstore editor when searching for booking reservations seem to suffer from a case of copy/paste-o. Branch coming shortly.
2019-03-13 16:53:18 Jason Stephenson nominated for series evergreen/3.1
2019-03-13 16:53:18 Jason Stephenson bug task added evergreen/3.1
2019-03-13 16:53:18 Jason Stephenson nominated for series evergreen/3.2
2019-03-13 16:53:18 Jason Stephenson bug task added evergreen/3.2
2019-03-13 16:53:25 Jason Stephenson evergreen: milestone 3.3-rc
2019-03-13 16:53:28 Jason Stephenson evergreen/3.1: milestone 3.1.11
2019-03-13 16:53:31 Jason Stephenson evergreen/3.2: milestone 3.2.5
2019-03-13 16:57:14 Jason Stephenson tags pullrequest
2019-03-13 18:16:55 Dan Wells evergreen: assignee Dan Wells (dbw2)
2019-03-13 18:20:48 Dan Wells evergreen: assignee Dan Wells (dbw2)
2019-03-13 18:20:56 Dan Wells evergreen: importance Undecided Medium
2019-03-13 18:20:59 Dan Wells evergreen/3.1: importance Undecided Medium
2019-03-13 18:21:01 Dan Wells evergreen/3.2: importance Undecided Medium
2019-03-13 18:21:04 Dan Wells evergreen: status New Fix Committed
2019-03-13 18:21:06 Dan Wells evergreen/3.1: status New Fix Committed
2019-03-13 18:21:09 Dan Wells evergreen/3.2: status New Fix Committed
2019-03-29 12:12:07 Evergreen Bug Maintenance evergreen: status Fix Committed Fix Released
2019-03-29 12:12:09 Evergreen Bug Maintenance evergreen/3.1: status Fix Committed Fix Released
2019-03-29 12:12:11 Evergreen Bug Maintenance evergreen/3.2: status Fix Committed Fix Released